Loading...
Searching...
No Matches
LabeledSymbol.h File Reference

Go to the source code of this file.

## Classes

class | gtsam::LabeledSymbol
| Customized version of gtsam::Symbol for multi-robot use. More...
struct | gtsam::traits< LabeledSymbol >
| traits More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

Key | gtsam::mrsymbol (unsigned char c, unsigned char label, size_t j)
| Create a symbol key from a character, label and index, i.e.
unsigned char | gtsam::mrsymbolChr (Key key)
| Return the character portion of a symbol key.
unsigned char | gtsam::mrsymbolLabel (Key key)
| Return the label portion of a symbol key.
size_t | gtsam::mrsymbolIndex (Key key)
| Return the index portion of a symbol key.

## Detailed Description

Date
  Jan 12, 2010

Author
  : Alex Cunningham

Date
  Jan 12, 2010

Author
  : Alex Cunningham
  : Frank Dellaert
  : Richard Roberts